Loading...
Searching...
No Matches
OffloadGPULoops.h File Reference

Defines a lowering pass to pull loops marked with GPU device APIs to a separate module, and call them through the appropriate host runtime module. More...

`#include "Expr.h"`

Go to the source code of this file.

## Namespaces

namespace | Halide
| This file defines the class FunctionDAG, which is our representation of a Halide pipeline, and contains methods to using Halide's bounds tools to query properties of it.
namespace | Halide::Internal

## Functions

Stmt | Halide::Internal::inject_gpu_offload (const Stmt &s, const Target &host_target)
| Pull loops marked with GPU device APIs to a separate module, and call them through the appropriate host runtime module.

## Detailed Description

Defines a lowering pass to pull loops marked with GPU device APIs to a separate module, and call them through the appropriate host runtime module.

Definition in file OffloadGPULoops.h.